package javax.swing.plaf;

import java.awt.Graphics;
import javax.swing.JSplitPane;

public abstract class SplitPaneUI extends ComponentUI
{
    public SplitPaneUI() {
    }
    
    public abstract void resetToPreferredSizes(JSplitPane p0);
    
    public abstract void setDividerLocation(JSplitPane p0, int p1);
    
    public abstract int getDividerLocation(JSplitPane p0);
    
    public abstract int getMinimumDividerLocation(JSplitPane p0);
    
    public abstract int getMaximumDividerLocation(JSplitPane p0);
    
    public abstract void finishedPaintingChildren(JSplitPane p0, Graphics p1);
}
